cgGetLastListing(3)

NAME
cgGetLastListing - get the current listing text

SYNOPSIS
  #include <Cg/cg.h>
  const char * cgGetLastListing( CGcontext context );

PARAMETERS

context
    The context handle.

RETURN VALUES
Returns a NULL-terminated string containing the current listing text.

Returns NULL if no listing text is available, or the listing text string is empty.

In all cases, the pointer returned by cgGetLastListing is only guaranteed to be valid until the next Cg entry point not related to error reporting is called. For example, calls to the cgCreateProgram manpage, the cgCompileProgram manpage, the cgCreateEffect manpage, or the cgValidateEffect manpage will invalidate any previously-returned listing pointer.

DESCRIPTION
Each Cg context maintains a NULL-terminated string containing warning and error messages generated by the Cg compiler, state managers and the like. cgGetlastListing allows applications and custom state managers to query the listing text.

cgGetLastListing returns the currrent listing string for the given CGcontext. When a Cg runtime error occurs, applications can use the listing text from the appropriate context to provide the user with detailed information about the error.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

HISTORY
cgGetLastListing was introduced in Cg 1.1.

SEE ALSO
the cgSetLastListing manpage, the cgCreateContext manpage, the cgSetErrorHandler manpage